#pragma once

#include <util/stream/output.h>

namespace NHttp {
/// Интерфейс для хранения данных конкретного вида ошибок
class IErrorInfo {
  public:
    virtual ~IErrorInfo() = default;

    /// Метод записывает в IOutputStream типизорованной информации об ошибке
    /// \param out поток, куда производиться запись
    virtual void Print(IOutputStream& out) const;
};
}
